Bug 123531 - ftp/FTP-PROXY Version 4.3p1 doesn't build on FreeBSD 6.3 i386
Summary: ftp/FTP-PROXY Version 4.3p1 doesn't build on FreeBSD 6.3 i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-08 22:20 UTC by Harry Kane
Modified: 2008-05-18 23:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harry Kane 2008-05-08 22:20:03 UTC
harry@kane:/usr/ports/ftp/ftp-proxy# make install
===>  Extracting for ftp-proxy-4.3p1
=> MD5 Checksum OK for ftp-proxy-4.3p1.tar.gz.
=> SHA256 Checksum OK for ftp-proxy-4.3p1.tar.gz.
===>  Patching for ftp-proxy-4.3p1
===>   ftp-proxy-4.3p1 depends on shared library: event-1.3e - found
===>  Configuring for ftp-proxy-4.3p1
===>  Building for ftp-proxy-4.3p1
Warning: Object directory not changed from original /usr/ports/ftp/ftp-proxy/work/ftp-proxy-4.3p1
cc -O2 -fno-strict-aliasing -pipe -march=c3-2 -I/usr/ports/ftp/ftp-proxy/work/ftp-proxy-4.3p1 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith  -Wno-uninitialized  -c ftp-proxy.c
ftp-proxy.c:32:19: event.h: No such file or directory
ftp-proxy.c: In function `client_error':
ftp-proxy.c:141: error: `EVBUFFER_EOF' undeclared (first use in this function)
ftp-proxy.c:141: error: (Each undeclared identifier is reported only once
ftp-proxy.c:141: error: for each function it appears in.)
ftp-proxy.c:143: error: `EVBUFFER_ERROR' undeclared (first use in this function)
ftp-proxy.c:143: error: `EVBUFFER_READ' undeclared (first use in this function)
ftp-proxy.c:145: error: `EVBUFFER_TIMEOUT' undeclared (first use in this function)
ftp-proxy.c:147: error: `EVBUFFER_WRITE' undeclared (first use in this function)
ftp-proxy.c: In function `client_parse_anon':
ftp-proxy.c:198: warning: implicit declaration of function `bufferevent_write'
ftp-proxy.c: In function `client_read':
ftp-proxy.c:251: warning: implicit declaration of function `bufferevent_read'
ftp-proxy.c: In function `end_session':
ftp-proxy.c:305: warning: implicit declaration of function `bufferevent_free'
ftp-proxy.c: In function `handle_connection':
ftp-proxy.c:505: warning: implicit declaration of function `bufferevent_new'
ftp-proxy.c:506: warning: assignment makes pointer from integer without a cast
ftp-proxy.c:511: warning: implicit declaration of function `bufferevent_settimeout'
ftp-proxy.c:512: warning: implicit declaration of function `bufferevent_enable'
ftp-proxy.c:512: error: `EV_READ' undeclared (first use in this function)
ftp-proxy.c:512: error: `EV_TIMEOUT' undeclared (first use in this function)
ftp-proxy.c:515: warning: assignment makes pointer from integer without a cast
ftp-proxy.c: In function `main':
ftp-proxy.c:604: error: storage size of 'ev' isn't known
ftp-proxy.c:604: error: storage size of 'ev_sighup' isn't known
ftp-proxy.c:604: error: storage size of 'ev_sigint' isn't known
ftp-proxy.c:604: error: storage size of 'ev_sigterm' isn't known
ftp-proxy.c:786: warning: implicit declaration of function `event_init'
ftp-proxy.c:790: warning: implicit declaration of function `signal_set'
ftp-proxy.c:793: warning: implicit declaration of function `signal_add'
ftp-proxy.c:797: warning: implicit declaration of function `event_set'
ftp-proxy.c:797: error: `EV_READ' undeclared (first use in this function)
ftp-proxy.c:797: error: `EV_PERSIST' undeclared (first use in this function)
ftp-proxy.c:798: warning: implicit declaration of function `event_add'
ftp-proxy.c:803: warning: implicit declaration of function `event_dispatch'
ftp-proxy.c:604: warning: unused variable `ev'
ftp-proxy.c:604: warning: unused variable `ev_sighup'
ftp-proxy.c:604: warning: unused variable `ev_sigint'
ftp-proxy.c:604: warning: unused variable `ev_sigterm'
ftp-proxy.c: In function `server_error':
ftp-proxy.c:922: error: `EVBUFFER_EOF' undeclared (first use in this function)
ftp-proxy.c:924: error: `EVBUFFER_ERROR' undeclared (first use in this function)
ftp-proxy.c:924: error: `EVBUFFER_READ' undeclared (first use in this function)
ftp-proxy.c:926: error: `EVBUFFER_WRITE' undeclared (first use in this function)
ftp-proxy.c:928: error: `EVBUFFER_TIMEOUT' undeclared (first use in this function)
*** Error code 1

Stop in /usr/ports/ftp/ftp-proxy/work/ftp-proxy-4.3p1.
*** Error code 1

Stop in /usr/ports/ftp/ftp-proxy.

Fix: 

harry@kane:/usr/ports/ftp/ftp-proxy# find /usr/ports/ftp/ftp-proxy/work -type f | xargs grep event.h
/usr/ports/ftp/ftp-proxy/work/ftp-proxy-4.3p1/ftp-proxy.c:#include <event.h>

Changing the line to #include <sys/event.h> helps make to find event.h but the build fails too:

harry@kane:/usr/ports/ftp/ftp-proxy# make install
===>  Extracting for ftp-proxy-4.3p1

Stop in /usr/ports/ftp/ftp-proxy.
=> MD5 Checksum OK for ftp-proxy-4.3p1.tar.gz.
=> SHA256 Checksum OK for ftp-proxy-4.3p1.tar.gz.
===>  Patching for ftp-proxy-4.3p1
===>   ftp-proxy-4.3p1 depends on shared library: event-1.3e - found
===>  Configuring for ftp-proxy-4.3p1
===>  Building for ftp-proxy-4.3p1
Warning: Object directory not changed from original /usr/ports/ftp/ftp-proxy/work/ftp-proxy-4.3p1
cc -O2 -fno-strict-aliasing -pipe -march=c3-2 -I/usr/ports/ftp/ftp-proxy/work/ftp-proxy-4.3p1 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith  -Wno-uninitialized  -c ftp-proxy.c
ftp-proxy.c:32:19: event.h: No such file or directory
ftp-proxy.c: In function `client_error':
ftp-proxy.c:141: error: `EVBUFFER_EOF' undeclared (first use in this function)
ftp-proxy.c:141: error: (Each undeclared identifier is reported only once
ftp-proxy.c:141: error: for each function it appears in.)
ftp-proxy.c:143: error: `EVBUFFER_ERROR' undeclared (first use in this function)
ftp-proxy.c:143: error: `EVBUFFER_READ' undeclared (first use in this function)
ftp-proxy.c:145: error: `EVBUFFER_TIMEOUT' undeclared (first use in this function)
ftp-proxy.c:147: error: `EVBUFFER_WRITE' undeclared (first use in this function)
ftp-proxy.c: In function `client_parse_anon':
ftp-proxy.c:198: warning: implicit declaration of function `bufferevent_write'
ftp-proxy.c: In function `client_read':
ftp-proxy.c:251: warning: implicit declaration of function `bufferevent_read'
ftp-proxy.c: In function `end_session':
ftp-proxy.c:305: warning: implicit declaration of function `bufferevent_free'
ftp-proxy.c: In function `handle_connection':
ftp-proxy.c:505: warning: implicit declaration of function `bufferevent_new'
ftp-proxy.c:506: warning: assignment makes pointer from integer without a cast
ftp-proxy.c:511: warning: implicit declaration of function `bufferevent_settimeout'
ftp-proxy.c:512: warning: implicit declaration of function `bufferevent_enable'
ftp-proxy.c:512: error: `EV_READ' undeclared (first use in this function)
ftp-proxy.c:512: error: `EV_TIMEOUT' undeclared (first use in this function)
ftp-proxy.c:515: warning: assignment makes pointer from integer without a cast
ftp-proxy.c: In function `main':
ftp-proxy.c:604: error: storage size of 'ev' isn't known
ftp-proxy.c:604: error: storage size of 'ev_sighup' isn't known
ftp-proxy.c:604: error: storage size of 'ev_sigint' isn't known
ftp-proxy.c:604: error: storage size of 'ev_sigterm' isn't known
ftp-proxy.c:786: warning: implicit declaration of function `event_init'
ftp-proxy.c:790: warning: implicit declaration of function `signal_set'
ftp-proxy.c:793: warning: implicit declaration of function `signal_add'
ftp-proxy.c:797: warning: implicit declaration of function `event_set'
ftp-proxy.c:797: error: `EV_READ' undeclared (first use in this function)
ftp-proxy.c:797: error: `EV_PERSIST' undeclared (first use in this function)
ftp-proxy.c:798: warning: implicit declaration of function `event_add'
ftp-proxy.c:803: warning: implicit declaration of function `event_dispatch'
ftp-proxy.c:604: warning: unused variable `ev'
ftp-proxy.c:604: warning: unused variable `ev_sighup'
ftp-proxy.c:604: warning: unused variable `ev_sigint'
ftp-proxy.c:604: warning: unused variable `ev_sigterm'
ftp-proxy.c: In function `server_error':
ftp-proxy.c:922: error: `EVBUFFER_EOF' undeclared (first use in this function)
ftp-proxy.c:924: error: `EVBUFFER_ERROR' undeclared (first use in this function)
ftp-proxy.c:924: error: `EVBUFFER_READ' undeclared (first use in this function)
ftp-proxy.c:926: error: `EVBUFFER_WRITE' undeclared (first use in this function)
ftp-proxy.c:928: error: `EVBUFFER_TIMEOUT' undeclared (first use in this function)
*** Error code 1

Stop in /usr/ports/ftp/ftp-proxy/work/ftp-proxy-4.3p1.
*** Error code 1

Stop in /usr/ports/ftp/ftp-proxy.
How-To-Repeat: cd /usr/ports/ftp/ftp-proxy/ ; make install clean
Comment 1 Edwin Groothuis freebsd_committer 2008-05-09 00:48:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this category PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-05-09 00:48:31 UTC
Maintainer of ftp/ftp-proxy,

Please note that PR ports/123531 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123531

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-05-09 00:48:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2008-05-18 23:43:41 UTC
beech       2008-05-18 22:43:36 UTC

  FreeBSD ports repository

  Modified files:
    ftp/ftp-proxy        Makefile 
  Log:
  - Change CFLAGS to: CFLAGS+= -I${LOCALBASE}/include
  
  PR:             ports/123531
  Submitted by:   Harry Kane <harry.kane@gmail.com>
  Approved by:    Christian Ludwig <chrissicool@chrissicool.net> (maintainer)
  
  Revision  Changes    Path
  1.12      +1 -1      ports/ftp/ftp-proxy/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Beech Rintoul freebsd_committer 2008-05-18 23:45:36 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!